HV_KVP_DAEMON(8)

NAME
hv_kvp_daemon - Hyper-V Key Value Pair Daemon

SYNOPSIS
hv_kvp_daemon [-dn]

DESCRIPTION
The hv_kvp_daemon daemon provides the ability to store, retrieve, modify and delete Key Value pairs for FreeBSD guest partitions running on Hyper-V.

Hyper-V allows administrators to store custom metadata in the form of Key Value pairs inside the FreeBSD guest partition. Administrators can use Windows Powershell scripts to add, read, modify and delete such Key Value pairs.

The hv_kvp_daemon accepts Key Value pair management requests from the hv_utils(4) driver and performs the actual metadata management on the file-system.

The same daemon and driver combination is also used to set and get IP addresses from a FreeBSD guest.

The set functionality is particularly useful when the FreeBSD guest is assigned a static IP address and is failed over from one Hyper-V host to another. After failover, Hyper-V uses the set IP functionality to automatically update the FreeBSD guest's IP address to its original static value.

On the other hand, the get IP functionality is used to update the guest IP address in the Hyper-V management console window.

The options are as follows:

-d  Run as regular process instead of a daemon for debugging purpose.

-n  Generate debugging output.

SEE ALSO
hv_vmbus(4), hv_utils(4), hv_netvsc(4), hv_storvsc(4), hv_ata_pci_disengage(4), hv_kvp(4)

HISTORY
Support for Hyper-V in the form of ports was first released in September 2013. The daemon was developed through a joint effort between Citrix Inc., Microsoft Corp. and Network Appliance Inc..

AUTHORS
-nosplit FreeBSD support for hv_kvp_daemon was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.